Get connection
Namespace: microsoft.graph.externalConnectors
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve the properties and relationships of an externalConnection.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | ExternalConnection.ReadWrite.OwnedBy, ExternalConnection.Read.All, ExternalConnection.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | ExternalConnection.ReadWrite.OwnedBy, ExternalConnection.Read.All, ExternalConnection.ReadWrite.All |
HTTP request
GET /external/connections/{id}
Optional query parameters
This method supports the OData query parameters to help customize the response.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and an externalConnection object in the response body.
Examples
Request
The following is an example of a request.
GET https://graph.microsoft.com/beta/external/connections/contosohr
Response
The following is an example of the response.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "contosohr",
"ingestedItemsCount": 700000,
"name": "Contoso HR",
"description": "Connection to index Contoso HR system",
"state": "ready",
"configuration": {
"authorizedAppIds": [
"d310d35d-72ec-47dd-92f2-fb9c40936555"
]
}
}
Feedback
Submit and view feedback for